Subject: Re: [PATCH v8] diff.c: keep arrow(=>) on show_stats()'s shortened filename part to make rename visible

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Oct 2013 13:26:01 -0700

Yoshioka Tsuneo <[email-masked]> writes:

> And, it might be a bit nicer for me if the patch can be
> rejected(or ignored as other patches) from the beginning if the
> concept does not fit anyway.

Yes, but...

> # Though I know we can know more after seeing the implementation, anyway :-)

... you are very correct about this.

Note that I am not rejecting the topic yet.  I am just saying that I
am not yet convinced the patch improves the situation where an
optimal solution (i.e. no information loss at all) cannot exist
because we do not have enough output columns to work with.

Thanks.

>> ...
>> So you are correct to say that I am still skeptical.
>> 
>> In any case, the output from "diff --stat -M" should match the
>> output from "apply --stat -M", I think.